Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#2 sshmenu-gnome 3.15 and gnome-terminal 2.21.5

closed
Grant McLean
5
2008-02-21
2008-01-25
Anonymous
No

Runs good, but while connecting to a host:

(gnome-terminal:15966): GLib-CRITICAL **: unquote_string_inplace: assertion `err == NULL || *err == NULL' failed
*** glibc detected *** gnome-terminal: free(): invalid pointer: 0xb7f53c40 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb74f2975]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb74f63e0]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb7720c21]
/usr/lib/libglib-2.0.so.0(g_error_free+0x29)[0xb7709c39]
gnome-terminal[0x805e5f0]
/usr/lib/libglib-2.0.so.0[0xb7726617]
/usr/lib/libglib-2.0.so.0[0xb7726b64]
/usr/lib/libglib-2.0.so.0(g_option_context_parse+0x3bd)[0xb772703d]
/usr/lib/libgnome-2.so.0(gnome_program_parse_args+0xe1)[0xb7e78271]
/usr/lib/libgnome-2.so.0[0xb7e7958d]
/usr/lib/libgnome-2.so.0(gnome_program_init+0x71)[0xb7e798c1]
gnome-terminal[0x805f273]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb749d450]
gnome-terminal[0x8054721]
======= Memory map: ========
08048000-08081000 r-xp 00000000 08:02 6736806 /usr/bin/gnome-terminal
08081000-08083000 rwxp 00039000 08:02 6736806 /usr/bin/gnome-terminal
08083000-080ac000 rwxp 08083000 00:00 0 [heap]
b6a00000-b6a21000 rwxp b6a00000 00:00 0
b6a21000-b6b00000 ---p b6a21000 00:00 0
b6bb8000-b6bc2000 r-xp 00000000 08:02 9617676 /lib/libgcc_s.so.1
b6bc2000-b6bc3000 rwxp 0000a000 08:02 9617676 /lib/libgcc_s.so.1
b6bc3000-b6bcc000 r-xp 00000000 08:02 2785420 /lib/tls/i686/cmov/libnss_files-2.7.so
b6bcc000-b6bce000 rwxp 00008000 08:02 2785420 /lib/tls/i686/cmov/libnss_files-2.7.so
b6bce000-b6bd6000 r-xp 00000000 08:02 2785422 /lib/tls/i686/cmov/libnss_nis-2.7.so
b6bd6000-b6bd8000 rwxp 00007000 08:02 2785422 /lib/tls/i686/cmov/libnss_nis-2.7.so
b6bd8000-b6bdf000 r-xp 00000000 08:02 2785418 /lib/tls/i686/cmov/libnss_compat-2.7.so
b6bdf000-b6be1000 rwxp 00006000 08:02 2785418 /lib/tls/i686/cmov/libnss_compat-2.7.so
b6bf5000-b6c34000 r-xp 00000000 08:02 6799413 /usr/lib/locale/en_US.utf8/LC_CTYPE
b6c34000-b6d14000 r-xp 00000000 08:02 6799414 /usr/lib/locale/en_US.utf8/LC_COLLATE
b6d14000-b6d18000 rwxp b6d14000 00:00 0
b6d18000-b6d1b000 r-xp 00000000 08:02 9617430 /lib/libgpg-error.so.0.3.0
b6d1b000-b6d1c000 rwxp 00002000 08:02 9617430 /lib/libgpg-error.so.0.3.0
b6d1c000-b6d20000 r-xp 00000000 08:02 6735123 /usr/lib/libXdmcp.so.6.0.0
b6d20000-b6d21000 rwxp 00003000 08:02 6735123 /usr/lib/libXdmcp.so.6.0.0
b6d21000-b6d57000 r-xp 00000000 08:02 9617529 /lib/libsepol.so.1
b6d57000-b6d58000 rwxp 00035000 08:02 9617529 /lib/libsepol.so.1
b6d58000-b6d62000 rwxp b6d58000 00:00 0
b6d62000-b6dad000 r-xp 00000000 08:02 10600461 /lib/libgcrypt.so.11.2.3
b6dad000-b6daf000 rwxp 0004a000 08:02 10600461 /lib/libgcrypt.so.11.2.3
b6daf000-b6db0000 rwxp b6daf000 00:00 0
b6db0000-b6dbf000 r-xp 00000000 08:02 6735723 /usr/lib/libtasn1.so.3.0.12
b6dbf000-b6dc0000 rwxp 0000e000 08:02 6735723 /usr/lib/libtasn1.so.3.0.12
b6dc0000-b6dd4000 r-xp 00000000 08:02 2785417 /lib/tls/i686/cmov/libnsl-2.7.so
b6dd4000-b6dd6000 rwxp 00013000 08:02 2785417 /lib/tls/i686/cmov/libnsl-2.7.so
b6dd6000-b6dd8000 rwxp b6dd6000 00:00 0
b6dd8000-b6e9b000 r-xp 00000000 08:02 6734841 /usr/lib/libasound.so.2.0.0
b6e9b000-b6ea0000 rwxp 000c2000 08:02 6734841 /usr/lib/libasound.so.2.0.0
b6ea0000-b6ea6000 r-xp 00000000 08:02 6735440 /usr/lib/libgailutil.so.18.0.1
b6ea6000-b6ea7000 rwxp 00006000 08:02 6735440 /usr/lib/libgailutil.so.18.0.1
b6ea7000-b6ea8000 rwxp b6ea7000 00:00 0
b6ea8000-b6ed6000 r-xp 00000000 08:02 6734247 /usr/lib/libpixman-1.so.0.9.6
b6ed6000-b6ed7000 rwxp 0002e000 08:02 6734247 /usr/lib/libpixman-1.so.0.9.6
b6ed7000-b6ef9000 r-xp 00000000 08:02 6733894 /usr/lib/libpng12.so.0.15.0
b6ef9000-b6efa000 rwxp 00022000 08:02 6733894 /usr/lib/libpng12.so.0.15.0
b6efa000-b6efc000 r-xp 00000000 08:02 6735112 /usr/lib/libXau.so.6.0.0
b6efc000-b6efd000 rwxp 00001000 08:02 6735112 /usr/lib/libXau.so.6.0.0
b6efd000-b6f1c000 r-xp 00000000 08:02 6734437 /usr/lib/libexpat.so.1.5.2
b6f1c000-b6f1e000 rwxp 0001e000 08:02 6734437 /usr/lib/libexpat.so.1.5.2
b6f1e000-b6f35000 r-xp 00000000 08:02 6735277 /usr/lib/libxcb.so.1.0.0
b6f35000-b6f36000 rwxp 00016000 08:02 6735277 /usr/lib/libxcb.so.1.0.0
b6f36000-b6f37000 rwxp b6f36000 00:00 0
b6f37000-b6f38000 r-xp 00000000 08:02 6735597 /usr/lib/libxcb-xlib.so.0.0.0
b6f38000-b6f39000 rwxp 00000000 08:02 6735597 /usr/lib/libxcb-xlib.so.0.0.0
b6f39000-b6f60000 r-xp 00000000 08:02 6734127 /usr/lib/libpcre.so.3.12.1
b6f60000-b6f61000 rwxp 00026000 08:02 6734127 /usr/lib/libpcre.so.3.12.1
b6f61000-b6f75000 r-xp 00000000 08:02 9617528 /lib/libselinux.so.1
b6f75000-b6f77000 rwxp 00013000 08:02 9617528 /lib/libselinux.so.1
b6f77000-b6f79000 r-xp 00000000 08:02 2785430 /lib/tls/i686/cmov/libutil-2.7.so
b6f79000-b6f7b000 rwxp 00001000 08:02 2785430 /lib/tls/i686/cmov/libutil-2.7.so
b6f7b000-b6f8a000 r-xp 00000000 08:02 2785426 /lib/tls/i686/cmov/libresolv-2.7.so
b6f8a000-b6f8c000 rwxp 0000f000 08:02 2785426 /lib/tls/i686/cmov/libresolv-2.7.so
b6f8c000-b6f8f000 rwxp b6f8c000 00:00 0
b6f8f000-b6f9d000 r-xp 00000000 08:02 6735379 /usr/lib/libavahi-client.so.3.2.4
b6f9d000-b6f9e000 rwxp 0000e000 08:02 6735379 /usr/lib/libavahi-client.so.3.2.4
b6f9e000-b6fa8000 r-xp 00000000 08:02 6734038 /usr/lib/libavahi-common.so.3.5.0
b6fa8000-b6fa9000 rwxp 0000a000 08:02 6734038 /usr/lib/libavahi-common.so.3.5.0
b6fa9000-b6fab000 r-xp 00000000 08:02 6735027 /usr/lib/libavahi-glib.so.1.0.1
b6fab000-b6fac000 rwxp 00001000 08:02 6735027 /usr/lib/libavahi-glib.so.1.0.1
b6fac000-b701f000 r-xp 00000000 08:02 6734321 /usr/lib/libgnutls.so.13.9.1
b701f000-b7025000 rwxp 00073000 08:02 6734321 /usr/lib/libgnutls.so.13.9.1
b7025000-b7059000 r-xp 00000000 08:02 6733868 /usr/lib/libdbus-1.so.3.4.0
b7059000-b705a000 rwxp 00034000 08:02 6733868 /usr/lib/libdbus-1.so.3.4.0
b705a000-b7074000 r-xp 00000000 08:02 6735209 /usr/lib/libdbus-glib-1.so.2.1.0
b7074000-b7075000 rwxp 0001a000 08:02 6735209 /usr/lib/libdbus-glib-1.so.2.1.0
b7075000-b7076000 rwxp b7075000 00:00 0
b7076000-b70a3000 r-xp 00000000 08:02 10108931 /lib/libncurses.so.5.6
b70a3000-b70a6000 rwxp 0002c000 08:02 10108931 /lib/libncurses.so.5.6
b70a6000-b70ba000 r-xp 00000000 08:02 6734227 /usr/lib/libz.so.1.2.3.3
b70ba000-b70bb000 rwxp 00013000 08:02 6734227 /usr/lib/libz.so.1.2.3.3
b70bb000-b7127000 r-xp 00000000 08:02 6734026 /usr/lib/libfreetype.so.6.3.16
b7127000-b712b000 rwxp 0006b000 08:02 6734026 /usr/lib/libfreetype.so.6.3.16
b712b000-b7135000 r-xp 00000000 08:02 7242082 /usr/lib/libpangox-1.0.so.0.1900.2
b7135000-b7136000 rwxp 0000a000 08:02 7242082 /usr/lib/libpangox-1.0.so.0.1900.2
b7136000-b715d000 r-xp 00000000 08:02 7242025 /usr/lib/libpangoft2-1.0.so.0.1900.2
b715d000-b715e000 rwxp 00027000 08:02 7242025 /usr/lib/libpangoft2-1.0.so.0.1900.2
b715e000-b715f000 rwxp b715e000 00:00 0
b715f000-b7166000 r-xp 00000000 08:02 7242084 /usr/lib/libpangoxft-1.0.so.0.1900.2
b7166000-b7167000 rwxp 00006000 08:02 7242084 /usr/lib/libpangoxft-1.0.so.0.1900.2
b7167000-b7178000 r-xp 00000000 08:02 6733943 /usr/lib/libXft.so.2.1.2
b7178000-b7179000 rwxp 00010000 08:02 6733943 /usr/lib/libXft.so.2.1.2
b7179000-b7180000 r-xp 00000000 08:02 2785427 /lib/tls/i686/cmov/librt-2.7.so
b7180000-b7182000 rwxp 00006000 08:02 2785427 /lib/tls/i686/cmov/librt-2.7.so
b7182000-b7186000 r-xp 00000000 08:02 7242218 /usr/lib/libORBitCosNaming-2.so.0.1.0
b7186000-b7187000 rwxp 00003000 08:02 7242218 /usr/lib/libORBitCosNaming-2.so.0.1.0
b7187000-b718e000 r-xp 00000000 08:02 9617518 /lib/libpopt.so.0.0.0
b718e000-b718f000 rwxp 00006000 08:02 9617518 /lib/libpopt.so.0.0.0
b718f000-b7190000 rwxp b718f000 00:00 0
b7190000-b71b2000 r-xp 00000000 08:02 6734232 /usr/lib/libaudiofile.so.0.0.2
b71b2000-b71b5000 rwxp 00021000 08:02 6734232 /usr/lib/libaudiofile.so.0.0.2
b71b5000-b71be000 r-xp 00000000 08:02 6734964 /usr/lib/libesd.so.0.2.38
b71be000-b71bf000 rwxp 00009000 08:02 6734964 /usr/lib/libesd.so.0.2.38
b71bf000-b71d4000 r-xp 00000000 08:02 6734081 /usr/lib/libICE.so.6.3.0
b71d4000-b71d5000 rwxp 00014000 08:02 6734081 /usr/lib/libICE.so.6.3.0
b71d5000-b71d7000 rwxp b71d5000 00:00 0
b71d7000-b71de000 r-xp 00000000 08:02 6735102 /usr/lib/libSM.so.6.0.0
b71de000-b71df000 rwxp 00006000 08:02 6735102 /usr/lib/libSM.so.6.0.0
b71df000-b71ed000 r-xp 00000000 08:02 6734258 /usr/lib/libgnome-keyring.so.0.1.1
b71ed000-b71ee000 rwxp 0000e000 08:02 6734258 /usr/lib/libgnome-keyring.so.0.1.1
b71ee000-b71ef000 rwxp b71ee000 00:00 0
b71ef000-b71f3000 r-xp 00000000 08:02 7246564 /usr/lib/libgthread-2.0.so.0.1503.0
b71f3000-b71f4000 rwxp 00003000 08:02 7246564 /usr/lib/libgthread-2.0.so.0.1503.0
b71f4000-b7209000 r-xp 00000000 08:02 6735175 /usr/lib/libart_lgpl_2.so.2.3.19
b7209000-b720a000 rwxp 00014000 08:02 6735175 /usr/lib/libart_lgpl_2.so.2.3.19
b720a000-b7239000 r-xp 00000000 08:02 6734656 /usr/lib/libgnomecanvas-2.so.0.2001.0
b7239000-b

and nothing happen.

Hope this helps.

Pedro Fragoso
emberez@gmail.com

Discussion

  • Grant McLean
    Grant McLean
    2008-01-25

    • assigned_to: nobody --> grantm
     
  • Grant McLean
    Grant McLean
    2008-01-25

    Logged In: YES
    user_id=242694
    Originator: NO

    I'm not exactly sure what I'm looking at there - is it saying that gnome-terminal seg-faulted when invoked from sshmenu?

    Does this happen for all terminal connections? Including ones that are defined with only a hostname and no other command-line options?

     
  • Logged In: NO

    The same thing happens on Ubuntu Hardy (alpha 4) with Gnome Terminal 2.21.90.

    The message is the same (of course address maps might be different ;)):
    ----------------
    (gnome-terminal:15966): GLib-CRITICAL **: unquote_string_inplace: assertion
    `err == NULL || *err == NULL' failed
    *** glibc detected *** gnome-terminal: free(): invalid pointer: 0xb7f53c40
    ***

     
  • Grant McLean
    Grant McLean
    2008-02-06

    Logged In: YES
    user_id=242694
    Originator: NO

    I don't have access to a system with the latest gnome-terminal, so remote debugging is the order of the day :-)

    Ultimately, all SSHMenu does is call gnome-terminal with a list of arguments. I'm guessing that the gnome-terminal segfault will be reproducible if we can directly invoke gnome-terminal with the same arguments - and thus take SSHMenu out of the equation.

    Looking at the commit history for gnome-terminal, it looks like command-line option handling was ported from popt to Goption in January and this may be relevant.

    It's also possible that gnome-terminal's valid options have changed and SSHMenu will need to be tweaked to generate command lines compatible with the new version.

    If a host is defined in SSHMenu with these parameters ...

    Title: Local Host
    Hostname: localhost
    Geometry:
    Profile: <None>

    ... then this is the command which will be run:

    gnome-terminal --title="Local Host" -e "sh -c \"ssh localhost\""

    If the geometry is set to the top right corner then this command will be run:

    gnome-terminal --geometry=80x24-0+25 --title="Local Host" -e "sh -c \"ssh localhost\""

    If the "Big Font" profile is selected, then this command will be run:

    gnome-terminal --geometry=80x24-0+25 --window-with-profile="Big Font" --title="Local Host" -e "sh -c \"ssh localhost\""

    If a non-Unicode Polish locale is selected by setting:

    Hostname: LC_ALL="pl_PL.iso-8859-2" localhost

    The this command will be run:

    LC_ALL="pl_PL.iso-8859-2" gnome-terminal --disable-factory --geometry=80x24-0+25 --window-with-profile="Big Font" --title="Local Host" -e "sh -c \"ssh localhost\""

    Can you please try these commands and see if any of them cause the same segfault?

    The latest version of sshmenu.rb in subversion accepts a '-d' option which enables debugging output to STDOUT. I use it by invoking the standalone (non-applet) version of SSHMenu like this:

    sshmenu-gnome -d

    The latest version of this library is here:

    https://sshmenu.svn.sourceforge.net/svnroot/sshmenu/modules/sshmenu/trunk/lib/sshmenu.rb

    Let me know how you get on.

    Thanks
    Grant

     
  • Grant McLean
    Grant McLean
    2008-02-06

    • status: open --> pending
     
  • Grant McLean
    Grant McLean
    2008-02-06

    Logged In: YES
    user_id=242694
    Originator: NO

    Submitter reported via email that this command-line failed when running gnome-terminal directly:

    gnome-terminal --title="Local Host" -e "sh -c \"ssh localhost\""

    I passed the report on to the gnome-terminal maintainers who responded immediately with this patch:

    http://svn.gnome.org/viewvc/gnome-terminal?view=revision&revision=2373

    It should fix the gnome-terminal segfault,but we'll have to wait and see whether SSHMenu works with the new gnoe-terminal.

     
    • status: pending --> closed
     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).